HTMLEditorKit.LinkController (Java SE 15 & JDK 15)
Description: declaration: module: java.desktop, package: javax.swing.text.html, class: HTMLEditorKit, class: LinkController
Keywords: javax.swing.text.html.HTMLEditorKit.LinkController class

Module java.desktop
Package javax.swing.text.html

# Class HTMLEditorKit.LinkController

java.lang.Object
java.awt.event.MouseAdapter
javax.swing.text.html.HTMLEditorKit.LinkController

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `Serializable`, `EventListener`

Enclosing class:
  HTMLEditorKit

    public static class HTMLEditorKit.LinkController
    extends MouseAdapter
    implements MouseMotionListener, Serializable

Class to watch the associated component and fire hyperlink events on it when appropriate.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `LinkController()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `activateLink​(int pos, JEditorPane editor)` | Calls linkActivated on the associated JEditorPane if the given position represents a link.
  `void` | `mouseClicked​(MouseEvent e)` | Called for a mouse click event.

  ### Methods declared in class java.awt.event.MouseAdapter

  `mouseDragged, mouseMoved, mouseWheelMoved`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface java.awt.event.MouseListener

  `mouseEntered, mouseExited, mousePressed, mouseReleased`

  ### Methods declared in interface java.awt.event.MouseMotionListener

  `mouseDragged, mouseMoved`

- ## Constructor Details

  - ### LinkController

    public LinkController()

- ## Method Details

  - ### mouseClicked

    public void mouseClicked​(MouseEvent e)
    Called for a mouse click event. If the component is read-only (ie a browser) then the clicked event is used to drive an attempt to follow the reference specified by a link.
    Specified by:
      `mouseClicked` in interface `MouseListener`
    Parameters:
      `e` - the mouse event
    See Also:
      `MouseListener.mouseClicked(java.awt.event.MouseEvent)`

  - ### activateLink

    protected void activateLink​(int pos, JEditorPane editor)
    Calls linkActivated on the associated JEditorPane if the given position represents a link.

    This is implemented to forward to the method with the same name, but with the following args both == -1.

    Parameters:
      `pos` - the position
      `editor` - the editor pane